%define upstream_name	 Data-Password-Meter
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Data::Password::Meter - Check the strength of passwords
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.520.0
BuildRequires: perl(Test::More) >= 0.820.0
BuildRequires: perl-devel

BuildArch: noarch

%description
Check the strength of a password. 
The scoring is based on Passwordmeter by Steve Moitozo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%install
%make_install

%check
make test

%files 
%doc Changes META.yml
%{perl_vendorlib}/Data/Password/Meter.pm
%{_mandir}/*/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1024826
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 969991
- Mageia 6 Mass Rebuild

* Mon Sep 28 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 884501
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 749018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 684223
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 matteo <matteo> 0.60.0-2.mga5
+ Revision: 672642
- enabling tests

* Sat Sep 06 2014 anaselli <anaselli> 0.60.0-1.mga5
+ Revision: 672631
- new version 0.06

* Sat Aug 16 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 664457
- update to 0.05

* Sun Jun 01 2014 matteo <matteo> 0.40.0-1.mga5
+ Revision: 630350
- imported package perl-Data-Password-Meter

